OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_VArrayTNodeOfFieldOfHArray2OfBoundedSurface Class Reference

`#include <PColPGeom_VArrayTNodeOfFieldOfHArray2OfBoundedSurface.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PColPGeom_VArrayTNodeOfFieldOfHArray2OfBoundedSurface ()
| PColPGeom_VArrayTNodeOfFieldOfHArray2OfBoundedSurface (const Handle(PGeom_BoundedSurface)&aValue)
void | SetValue (const Handle(PGeom_BoundedSurface)&aValue)
Standard_Address | Value () const
## Private Attributes
Handle_PGeom_BoundedSurface | myValue

## Constructor & Destructor Documentation

PColPGeom_VArrayTNodeOfFieldOfHArray2OfBoundedSurface::PColPGeom_VArrayTNodeOfFieldOfHArray2OfBoundedSurface | ( |  | ) |

PColPGeom_VArrayTNodeOfFieldOfHArray2OfBoundedSurface::PColPGeom_VArrayTNodeOfFieldOfHArray2OfBoundedSurface | ( | const Handle(PGeom_BoundedSurface)& | aValue | ) |

## Member Function Documentation

void PColPGeom_VArrayTNodeOfFieldOfHArray2OfBoundedSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColPGeom_VArrayTNodeOfFieldOfHArray2OfBoundedSurface::operator new | ( | size_t | size | ) | `[inline]`

void* PColPGeom_VArrayTNodeOfFieldOfHArray2OfBoundedSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PColPGeom_VArrayTNodeOfFieldOfHArray2OfBoundedSurface::SetValue | ( | const Handle(PGeom_BoundedSurface)& | aValue | ) |

Standard_Address PColPGeom_VArrayTNodeOfFieldOfHArray2OfBoundedSurface::Value | ( |  | ) | const

## Field Documentation

Handle_PGeom_BoundedSurface PColPGeom_VArrayTNodeOfFieldOfHArray2OfBoundedSurface::myValue`[private]`

The documentation for this class was generated from the following file:

- PColPGeom_VArrayTNodeOfFieldOfHArray2OfBoundedSurface.hxx